#include <stdio.h> 
#include <math.h>
#include <string.h>
int main()
{
	char c1,c2,maxs,mins;
	int max,min,a1,a2;
	scanf("%c %c",&c1,&c2);
	scanf("%d %d",&a1,&a2);
	max=a1;
	maxs=c1;
	min=a2;
	mins=c2;
	if(a1<a2)
	{
		max=a2;
		maxs=c2;
		min=a1;
		mins=c1;
	}
	if((max-min)<2)
	{
		if((max-min)==1)
		{
			for(int i=0;i<min;i++)
			{
				printf("%c%c",maxs,mins);
			}
			printf("%c",maxs);
		}
		if((max-min)==0)
		{
			for(int i=0;i<min;i++)
			{
				printf("%c%c",c1,c2);
			}
		}
	}
	else printf("nemoguce");
	return 0;
}